Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class TechnologiesProducts
    Inherits BaseObject

    Private _Technologies As Technologies
    Private _Products As Products

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("TechnologiesProducts - Technologies", DefaultContexts.Save)> _
    Property Technologies As Technologies
        Get
            Return _Technologies
        End Get
        Set(value As Technologies)
            SetPropertyValue("Technologies", _Technologies, value)
        End Set
    End Property
    <RuleRequiredField("TechnologiesProducts - Products", DefaultContexts.Save)> _
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
End Class
